httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Covener <cove...@gmail.com>
Subject Re: [users@httpd] openssl-1.1.0 with httpd-2.4.33
Date Wed, 02 May 2018 10:59:14 GMT
On Wed, May 2, 2018 at 5:56 AM, Hemant Chaudhary
<hemantdude.chaudhary@gmail.com> wrote:
> Hi All,
>
> I am trying to build openssl-1.1.0 with httpd-2.4.33, everything is working
> fine without mod_ssl. But when I am loading mod_ssl, I am getting error
> while deloading the module i:e dso_close. Whereas httpd-2.4.33 is working
> fine with openssl-1.0.2d.
>

1.1 uses an atexit() callback which surprisingly fires when a module
is unloaded.  On some platforms, openssl intentionally leaks a
reference to itself to delay this cleanup until a real exit. But maybe
it's not implemented (properly) on your platform.   Here is one of the
artifacts where this was fixed on AIX:
https://github.com/openssl/openssl/issues/5485

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message